### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.deployment

# Class ServiceLookupFailedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sas.util.ChainedException
com.sas.services.ServiceException
com.sas.services.deployment.ServiceLookupFailedException

All Implemented Interfaces:
  `com.sas.util.ChainedExceptionInterface`, `Serializable`

@SASScope("ALL") @BinaryCompatibilityOnly public final class ServiceLookupFailedException extends ServiceException implements Serializable
An exception used in the event that a service lookup fails.

Since:
  1.1
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceLookupFailedException(DeployableService[] deployableServices)`
  Constructs an instance specifying the services which failed to be located.
  `ServiceLookupFailedException(Throwable throwable, String message)`
  Constructs an instance by specifying a message and `Throwable`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DeployableService[]`
  `getDeployableServices()`
  Gets the service capabilities that were sought, but not available.
  `String`
  `getMessage()`
  Gets an exception message detailing the service template that was desired, but not found in the currently deployed services.

  ### Methods inherited from class com.sas.util.ChainedException

  `chainContains, getRootException, getRootException, getTargetException, getTargetException, printStackTrace, printStackTrace, printStackTrace, toString, toStringBuffer`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ServiceLookupFailedException

    public ServiceLookupFailedException(Throwable throwable, String message)
    Constructs an instance by specifying a message and `Throwable`.
    Parameters:
      `throwable` - Throwable that caused the exception.
      `message` - Exception's message.

  - ### ServiceLookupFailedException

    public ServiceLookupFailedException(DeployableService[] deployableServices)
    Constructs an instance specifying the services which failed to be located.
    Parameters:
      `deployableServices` - Services which failed to be located.

- ## Method Details

  - ### getDeployableServices

    public DeployableService[] getDeployableServices()
    Gets the service capabilities that were sought, but not available.
    Returns:
      Services that were expected to be available via a lookup, but not available.

  - ### getMessage

    public String getMessage()
    Gets an exception message detailing the service template that was desired, but not found in the currently deployed services.
    Overrides:
      `getMessage` in class `Throwable`
    Returns:
      Message